PHP-FCGI(1)

NAME
php-fcgi - start PHP as FastCGI daemon

Warning, this tool is deprecated. Use php-fpm instead.

SYNOPSIS
php-fcgi [-c <configfile>] [-h] [-k] [-q] [-v]
-c <configfile>: the configuration file to be used.
-h: show help and exit.
-k: kill running FastCGI servers.
-q: don't print the results.
-v: show version and exit.

DESCRIPTION
The PHP-FastCGI utility can be used to start PHP as a FastCGI daemon. It uses php-cgi to do so.

CONFIGURATION
The configuration is done via the configuration file /etc/hiawatha/php-fcgi.conf.

The following options are available:

MaxRequests = <number>
    The number of maximum requests one fork will handle before dying and respawning.
    Default = 100, example: MaxRequests = 50

PIDfile = <path to PID-file>
    This describes where php-fcgi should store the PID's of the FastCGI daemons.
    Default = /var/run/php-fcgi.pid, example: PIDfile = /data/php-fcgi.pid

Setenv <key> = <value>
    Sets an environment variable after clearing the entire environment and before starting the PHP FastCGI daemon.
    Example: Setenv somekey = somevalue

Server = <php-cgi executable> ; <forks> ; <binding> ; <uid>[:<gid's>][ ; <PHP configuration file>]
    Defines how a FastCGI daemon should be executed. If a pipe-sign in <php-cgi executable> is used, the part before the pipe will be used as a chroot directory. Be carefull with using chrooted FastCGI servers in combination with UserWebsite and Alias (see hiawatha(1) for more information about these options). The userid and groupid 'root' are not allowed.
    Example: Server = /usr/bin/php5-cgi ; 3 ; 127.0.0.1:2005 ; www-data ; /etc/php5/cgi/php.ini
             Server = /usr/bin/php5-cgi ; 3 ; /tmp/hiawatha.sock ; 33:33

SEE ALSO
The PHP-FastCGI utility is part of the Hiawatha webserver. See hiawatha(1) for more information about Hiawatha.

AUTHOR
Hugo Leisink <hugo@hiawatha-webserver.org> - http://www.hiawatha-webserver.org/